Subject: Re: [PATCH v4] net: ethernet: mediatek: ppe: add support for flow accounting

From: Daniel Golle <[email-masked]>
Date: Wed, 2 Nov 2022 11:40:01 +0000

Hi Jakub,

On Tue, Nov 01, 2022 at 08:49:45PM -0700, Jakub Kicinski wrote:
> On Wed, 2 Nov 2022 00:58:01 +0000 Daniel Golle wrote:
> > The PPE units found in MT7622 and newer support packet and byte
> > accounting of hw-offloaded flows. Add support for reading those
> > counters as found in MediaTek's SDK[1].
> > 
> > [1]: https://git01.mediatek.com/plugins/gitiles/openwrt/feeds/mtk-openwrt-feeds/+/bc6a6a375c800dc2b80e1a325a2c732d1737df92
> > Signed-off-by: Daniel Golle <[email-masked]>
> > ---
> > v4: declare function mtk_mib_entry_read as static
> > v3: don't bother to set 'false' values in any zero-initialized struct
> >     use mtk_foe_entry_ib2
> >     both changes were requested by Felix Fietkau
> > 
> > v2: fix wrong variable name in return value check spotted by Denis Kirjanov
> 
> Please read the FAQ:
> 
> https://www.kernel.org/doc/html/next/process/maintainer-netdev.html#tl-dr

I'm sorry for re-submitting the fixes to frequently. I'll give it more
time in future.

> 
> https://www.kernel.org/doc/html/next/process/maintainer-netdev.html#running-all-the-builds-and-checks-locally-is-a-pain-can-i-post-my-patches-and-have-the-patchwork-bot-validate-them
> 

It wasn't my intention to out-source testing to the patchwork bot.
I do run checks as recommended locally, which includes checkpatch.pl,
build and run-time testing. And though in this case an unneeded export
of a function was also indicated by my local compiler, I must have
missed it in the output of the kernel build. I will try to improve my
workflow in such a way that it will be less likely to miss new compiler
warnings.